AFPIncludeFormMap (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.afp.extensions

## Class AFPIncludeFormMap

- java.lang.Object
- - org.apache.fop.render.afp.extensions.AFPExtensionAttachment
  - - org.apache.fop.render.afp.extensions.AFPIncludeFormMap

- All Implemented Interfaces:
    java.io.Serializable, ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

      public class AFPIncludeFormMap
      extends AFPExtensionAttachment

  This extension allows to include an AFP form map resource. It is implemented as an extension attachment (`ExtensionAttachment`).
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ATT_SRC` src attribute containing the URI to the form map resource
    `protected java.net.URI` | `src` the URI identifying the form map resource.

    - ### Fields inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

      `ATT_NAME, CATEGORY, elementName, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPIncludeFormMap()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.URI` | `getSrc()` Returns the URI of the form map.
    `void` | `setSrc(java.net.URI value)` Sets the URI of the form map.
    `void` | `toSAX(org.xml.sax.ContentHandler handler)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

      `getCategory, getElementName, getName, hasName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ATT_SRC

          protected static final java.lang.String ATT_SRC

      src attribute containing the URI to the form map resource
      See Also:
        Constant Field Values

    - #### src

          protected java.net.URI src

      the URI identifying the form map resource.

  - ### Constructor Detail

    - #### AFPIncludeFormMap

          public AFPIncludeFormMap()

      Default constructor.

  - ### Method Detail

    - #### getSrc

          public java.net.URI getSrc()

      Returns the URI of the form map.
      Returns:
        the form map URI

    - #### setSrc

          public void setSrc(java.net.URI value)

      Sets the URI of the form map.
      Parameters:
        `value` - the form map URI

    - #### toSAX

          public void toSAX(org.xml.sax.ContentHandler handler)
                     throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.